Name:           el8-security-release
Version:        8
Release:        1%{dist}
Summary:        Security Packages for Enterprise Linux repository configuration

Group:          System Environment/Base
License:        GPLv2

URL:            https://copr.fedorainfracloud.org/coprs/mon/el8-security/
Source0:        https://copr-be.cloud.fedoraproject.org/results/mon/el8-security/pubkey.gpg
Source1:        el8-security.repo

BuildArch:     noarch
Requires:      redhat-release >=  %{version}

Conflicts:     fedora-release

%description
This package contains the Security Packages for Enterprise Linux (el8-security) repository
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-el8-security-%{version}

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog
* Mon Mar  2 2020 Mattias Ohlsson <mattias.ohlsson@inprose.com>
- Initial build
